require( "scripts/style.lua" );


MakeDialog
{
    name ="enterpassword",
	--name ="EnterPasswordWindow",
	
    EnterPasswordWindow
    {
	fit=false,
	x = 0,
	y = 0,
	w = 1024,
	h = 768,

	Bitmap
	{
		image="mg08/Level_2/pass",
		x=414+50+50+20, 
		y=104+20, 

		TextEdit
		{
			font = { standardFont,  14,  WhiteColor},
			flags = kHAlignLeft,
			name = "nameedit",
			label = "",
                        clearinitial = false,
			x=23,y=90+23, w=300,h=100,
			length=18,
			ignore = kIllegalNameChars

		};

		Button
		{
			x=80+20,y=105+20+10,
			name="enterok",
			type = kPush,
			graphics = {"mg08/buttons/b_enter2",	"mg08/buttons/b_enter2_pressed",	"mg08/buttons/b_enter2_mouseover"},
			default=true,
			command =
				function()
					CheckPassword(GetLabel("nameedit"));
					CloseWindow(nil);
					--PopModal(nil);
				end
		},
	},
    }
}

SetFocus( "nameedit" );



